Wallet

Test a webhook delivery (sends a single test payload)

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
POST/api/wallet/non-custodial/webhooks/test

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.testWalletWebhook(
  {
    url: "https://fat-expansion.net/",
    secret: "Str0ng_Sample_Pass!w0rd",
    projectId: "proj_soCNdJuKOW9t",
    event: "alarm transmit"
  }
);
const { data: result } = await wallet.testWalletWebhook(
  {
    url: "https://fat-expansion.net/",
    secret: "Str0ng_Sample_Pass!w0rd",
    projectId: "proj_soCNdJuKOW9t",
    event: "alarm transmit"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "url": "https://scented-pleasure.biz/",
  "secret": "Str0ng_Sample_Pass!w0rd",
  "projectId": "proj_qh5hFHNT70YZ",
  "event": "bus input"
}
{
  "url": "https://scented-pleasure.biz/",
  "secret": "Str0ng_Sample_Pass!w0rd",
  "projectId": "proj_qh5hFHNT70YZ",
  "event": "bus input"
}

Responses

200Test result
json
{
  "success": true,
  "data": {
    "success": true,
    "status": 200
  }
}
{
  "success": true,
  "data": {
    "success": true,
    "status": 200
  }
}
400
401
429

Errors

CodeMeaning
400
401
429
Edit this page on GitHub